
<app-home></app-home>
<br/><br/>
  <div class="row">
      <div class="col-sm-12">
        <div class="text-center">
          <button id="exportButton" class="btn  btn-danger clearfix" (click)="exportToExcel()"><span class="fa fa-file-excel-o"></span> Export to Excel</button>
        </div>
      </div>
    </div>
    <br/>
<table class="table table-hover" #table>
  <thead>
    <tr>
      <th scope="col">Event ID</th>
      <th scope="col">Event Name</th>
      <th scope="col">Beneficiary Name</th>
      <th scope="col">Base Location</th>
      <th scope="col">Event Date(DD-MM-YY)</th>
      <th scope="col">Employee ID</th>
    </tr>
  </thead>
  <tbody>
    <tr class="table-active"  *ngFor="let event of lstEventDetails">
      <td>{{event.EventCode}}</td>
      <td>{{event.EventName}}</td>
      <td>{{event.BeneficiaryName}}</td>
      <td>{{event.LocationName}}</td>
      <td>{{event.EventDate}}</td>
      <td>{{event.EmployeeID}}</td>
    </tr>
  </tbody>
</table>


  
  